<!DOCTYPE html>
<html>
    <head>
        <title>Scrolling Website</title>
        <style>
            @import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
            *
            {
                margin: 0;
                padding: 0;
                box-sizing: border-box;
                font-family: 'Poppins', sans-serif;
                scroll-behavior: smooth;
            }
            body
            {
                min-height: 100vh;
                overflow: hidden;
                background: linear-gradient(#2b1055,#7597de);
            }
            header
            {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                padding: 30px 100px;
                display: flex;
                justify-content: space-between;
                align-items: center;
            }
            header .logo
            {
                color:#fff;
                font-weight: 700;
                text-decoration: none;
                font-size: 2em;
                text-transform: uppercase;
                letter-spacing: 2px;
            }
            header ul
            {
                display: flex;
                justify-content: center;
                align-items: center;
            }
            header ul li
            {
                list-style: none;
                margin-left: 20px;
            }
            header ul li a
            {
                text-decoration: none;
                padding: 6px 15px;
                color: #fff;
                border-radius: 20px;
            }
            header ul li a :hover,
            header ul li a :active
            {
                background: #fff;
                color: #2b1055;
            }
            section
            {
                position: relative;
                width: 100px;
                height: 100vh;
                padding: 100px;
                display: flex;
                justify-content: center;
                align-items: center;
            }
            section::before
            {
                content: '';
                position: absolute;
                bottom: 0;
                width: 100%;
                height: 100%;
                background: linear-gradient(to top, #1c0522, transparent);
                z-index: 1000;
            }
            section img
            {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                object-fit: cover;
                pointer-events: none;
            }
            section img#moon
            {
                mix-blend-mode: screen;
            }
            section img#mountain_front
            {
                z-index: 10;
            }
            #text
            {  
                position: absolute;
                right: -350px;
                color: #fff;
                white-space: nowrap;
                font-size: 7.5vw;
                z-index: 9;
            }
            #btn
            {
                text-decoration: none;
                display: inline-block;
                padding: 8px 30px;
                border-radius: 40px;
                background: #fff;
                color: #2b1055;
                font-size: 1.5em;
                z-index: 9;
                transform: translateY(100px);
            }
            .sec
            {
                position: relative;
                padding: 100px;
                background: #1c0522;
            }
            .sec h2
            {
                font-size: 3.5em;
                margin-bottom: 10px;
                color: #fff;
            }
            .sec p
            {
                font-size: 1.2em;
                color: #fff;
            }
        </style>
    </head>
    <body>
        <header>
            <a href="#" class="logo">logo</a>
            <ul>
                <li><a href="#" class="active">Home</a></li>
                <li><a href="#">About</a></li>
                <li><a href="#">Work</a></li>
                <li><a href="#">Contact</a></li>
            </ul>
        </header>
        <section>
            <img src="1x/Stars.png" id="stars">
            <img src="1x/Moon.png" id="moon">
            <img src="1x/mountain_behind.png" id="mountain_behind">
            <h2 id="text">Moon Light</h2>
            <a href="#sec" id="btn">Explore</a>
            <img src="1x/Mountain_front.png" id="mountain_front">
        </section>
        <div class="sec" id="sec">
            <h2>tyguguyguyg</h2>
            <p>hhihhhuhiuhiuhiuhiui</p>
        </div>
        <script>
            let stars = document.getElementyById('stars');
            let moon = document.getElementyById('moon');
            let mountains_behind = document.getElementyById('mountains_behind');
            let text = document.getElementyById('text');
            let btn = document.getElementyById('btn');
            let mountain_front = document.getElementyById('mountains_front');
            let header = document.querySelector('header');
            window.addEventListener('scroll', function(){
                let value = window.scrollY;
                stars.style.left = value *0.25 + 'px';
                moon.style.top = value * 1.05 + 'px';
                mountains_behind.style.top = value * 0.5 + 'px';
                mountains_front.style.top = value * 0 + 'px';
                text.style.marginRight = value * 4 + 'px';
                text.style.marginTop = value * 0.25 + 'px';
                btn.style.marginTop = value * 0.25 + 'px';
                header.style.top = value * 0.5 + 'px';
            })
        </script>
    </body>
</html>